package org.simantics.scl.runtime.reporting;

public class DelegatingSCLReportingHandler implements SCLReportingHandler {

    protected SCLReportingHandler baseHandler;
    
    public DelegatingSCLReportingHandler(SCLReportingHandler baseHandler) {
        this.baseHandler = baseHandler;
    }

    @Override
    public void print(String text) {
        baseHandler.print(text);
    }

    @Override
    public void printError(String error) {
        baseHandler.printError(error);
    }

    @Override
    public void printCommand(String command) {
        baseHandler.printCommand(command);
    }

    @Override
    public void didWork(double amount) {
        baseHandler.didWork(amount);
    }

}
